Subject: Re: bug#35887: 26.1; global-eldoc-mode minibuffer noise is very annoying

From: "Basil L. Contovounesios" <[email-masked]>
Date: Tue, 28 May 2019 16:54:31 +0100

Drew Adams <[email-masked]> writes:

>> I turn ‘global-eldoc-mode’ off too, but I think it should be enabled
>> by default to demonstrate to newbies that Emacs has the same feature
>> that their IDEs have.
>
> Fair enough.  But on the flip side, better that a
> newbie should learn, early, that there is much more
> to Emacs than first meets the eye.  And learn, early
> on, how to discover for herself such non-default
> features.
>
> I disagree, in general (yes, abstractly, and such
> things should really be decided mostly case by case),
> with the idea of showing things initially just to be
> sure users notice them.
>
> That's not a strong reason.  We sometimes hear it
> espoused also as a reason for turning on some shiny
> new behavior: so users will notice it.  Not a great
> reason, on its own.  We have NEWS for that (and
> Sacha's tangents newsletter and...

I'm not sure if the following philosophy is documented anywhere, but my
personal impression is that it is considered more Emacs-y to default to
disabling most shiny features, lest they come across as annoying or
intrusive, and let each user pick and mix what they like.

I agree with that, so I sympathise with the annoyance of enabling
global-eldoc-mode by default, but in this case I feel like that ship has
already sailed, and that global-eldoc-mode is useful enough in the
general case that it might be worse to disable it again at this point.

-- 
Basil